@ECHO OFF
ECHO.
ECHO.
ECHO Welcome to the DogWorld ][ Install Program!
ECHO.
IF NOT EXIST DOG301.EXE GOTO NO_GOOD
ECHO This process will back up your existing "main" data files
ECHO to preserve any changes you may have made.
ECHO.

ECHO Let's make sure no files are read-only.....
ATTRIB -R *.*
ECHO.

ECHO Checking for old backup files.....
ECHO.
IF EXIST DOGDAT.!!! DEL DOGDAT.!!!
IF EXIST DOG1.!!! DEL DOG1.!!!
IF EXIST ENEMY.!!! DEL ENEMY.!!!
IF EXIST 3RDPARTY.!!! DEL 3RDPARTY.!!!
IF EXIST DOSCRIPT.!!! DEL DOSCRIPT.!!!
IF EXIST START.!!! DEL START.!!!
IF EXIST DOGOWNER.!!! DEL DOGOWNER.!!!
ECHO.

ECHO Backing up main data files.....
ECHO.
IF EXIST DOGDAT.DAT REN DOGDAT.DAT DOGDAT.!!!
IF EXIST DOG1.CFG REN DOG1.CFG DOG1.!!!
IF EXIST ENEMY.DAT REN ENEMY.DAT ENEMY.!!!
IF EXIST 3RDPARTY.MNU REN 3RDPARTY.MNU 3RDPARTY.!!!
IF EXIST DOSCRIPT.MNU REN DOSCRIPT.MNU DOSCRIPT.!!!
IF EXIST START.DAT REN START.DAT START.!!!
IF EXIST DOGOWNER.DAT REN DOGOWNER.DAT DOGOWNER.!!!

ECHO Unpacking DogWorld ][ version 3.01 ....
ECHO.

DOG301.EXE -o

ECHO Restoring data file backups....

IF EXIST DOGDAT.!!! DEL DOGDAT.DAT
IF EXIST DOG1.!!! DEL DOG1.CFG
IF EXIST ENEMY.!!! DEL ENEMY.DAT
IF EXIST 3RDPARTY.!!! DEL 3RDPARTY.MNU
IF EXIST DOSCRIPT.!!! DEL DOSCRIPT.MNU
IF EXIST START.!!! DEL START.DAT
IF EXIST DOGOWNER.!!! DEL DOGOWNER.DAT

IF EXIST DOGDAT.!!! REN DOGDAT.!!! DOGDAT.DAT
IF EXIST DOG1.!!! REN DOG1.!!! DOG1.CFG
IF EXIST ENEMY.!!! REN ENEMY.!!! ENEMY.DAT
IF EXIST 3RDPARTY.!!! REN 3RDPARTY.!!! 3RDPARTY.MNU
IF EXIST DOSCRIPT.!!! REN DOSCRIPT.!!! DOSCRIPT.MNU
IF EXIST START.!!! REN START.!!! START.DAT
IF EXIST DOGOWNER.!!! REN DOGOWNER.!!! DOGOWNER.DAT
IF EXIST DOG301.EXE DEL DOG301.EXE

ECHO.
ECHO The install process is now complete.
ECHO If this is a new installation, you should now run the
ECHO DogEdit program and configure DogWorld ][ for your system.
ECHO Edit the included batch file, DOG1.BAT, and setup your
ECHO BBS to run this file. To run DogWorld ][ in local mode,
ECHO simply type "DOG" at the dos prompt. Have fun!
ECHO.
ECHO         Ken Cothran - DogWorld ][ Author!
ECHO.
PAUSE
ECHO.

GOTO DONE

:NO_GOOD
ECHO.
ECHO DOG301.EXE not found.... 
ECHO Unzip DGWRL301.ZIP again using the -o switch.
ECHO.
ECHO   EXAMPLE: "PKUNZIP -o DGWRL301.ZIP"
ECHO.
ECHO Then type: "UNPACK.BAT" to uncompress the DogWorld files.
ECHO.
ECHO.
:DONE
